SVNKit Home

## org.tmatesoft.svn.core
Class SVNLogEntry

    java.lang.Object
      org.tmatesoft.svn.core.SVNLogEntry

All Implemented Interfaces:
  Serializable

public class SVNLogEntry
extends Object
implements Serializable

The SVNLogEntry class encapsulates such per revision information as: a revision number, the datestamp when the revision was committed, the author of the revision, a commit log message and all paths changed in that revision.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `SVNLogEntryPath`, `ISVNLogEntryHandler`, Examples, Serialized Form

Constructor Summary
`SVNLogEntry(Map changedPaths, long revision, String author, Date date, String message)` Constructs an SVNLogEntry object.

Method Summary
`boolean` `equals(Object obj)` Compares this object with another one.
`String` `getAuthor()` Returns the author of the revision that this object represents.
`Map` `getChangedPaths()` Gets a map containing all the paths that were changed in the revision that this object represents.
`Date` `getDate()` Gets the datestamp when the revision was committed.
`String` `getMessage()` Gets the log message attached to the revision.
`long` `getRevision()` Gets the number of the revision that this object represents.
`int` `hashCode()` Calculates and returns a hash code for this object.
`String` `toString()` Gives a string representation of this oobject.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNLogEntry

    public SVNLogEntry(Map changedPaths,
                       long revision,
                       String author,
                       Date date,
                       String message)

  Constructs an SVNLogEntry object.

Parameters:
  `changedPaths` - a map collection which keys are all the paths that were changed in `revision`, and values are SVNLogEntryPath representation objects
  `revision` - a revision number
  `author` - the author of `revision`
  `date` - the datestamp when the revision was committed
  `message` - an commit log message for `revision`
See Also:
  `SVNLogEntryPath`

Method Detail

### getChangedPaths

    public Map getChangedPaths()

  Gets a map containing all the paths that were changed in the revision that this object represents.

  Returns:
    a map which keys are all the paths that were changed and values are SVNLogEntryPath objects

### getAuthor

    public String getAuthor()

  Returns the author of the revision that this object represents.

  Returns:
    the author of the revision

### getDate

    public Date getDate()

  Gets the datestamp when the revision was committed.

  Returns:
    the moment in time when the revision was committed

### getMessage

    public String getMessage()

  Gets the log message attached to the revision.

  Returns:
    the commit log message

### getRevision

    public long getRevision()

  Gets the number of the revision that this object represents.

  Returns:
    a revision number

### hashCode

    public int hashCode()

  Calculates and returns a hash code for this object.

  Returns:
    a hash code

### equals

    public boolean equals(Object obj)

  Compares this object with another one.

  Parameters:
    `obj` - an object to compare with
  Returns:
    true if this object is the same as the `obj` argument

### toString

    public String toString()

  Gives a string representation of this oobject.

  Returns:
    a string representing this object

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.